Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Key Life Cycle Management APIs

Viewing Synchronization Status

search

Please Note:

Viewing Synchronization Status

Use the get /v1/cckm/aws/synchronization-jobs API to view the status of the synchronization job. The results can be filtered using the query parameters.

Syntax

curl -k '<IP>/api/v1/cckm/aws/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Request Parameter

ParameterTypeDescription
AUTHTOKENstringAuthorization token.

Request Query Parameters

ParameterTypeDescription
idstringInternal ID of the synchronization.
overall_statusstringOverall synchronization status.
kmsarrayName of the KMS.
skipintegerNumber of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output.
limitintegerNumbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/aws/synchronization-jobs?skip=0&limit=10' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJjNWMwZGJlNC1lMmJmLTQ3M2MtODY4MC01NWVkMWIzMDEzMmEiLCJzdWIiOiJsb2NhbHxhNjdjMzc0OC05YTRiLTRhZGQtYjNkOS0wNTRiYTIwYmUzYWMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiMDhkNDI5ZjktNDgzYi00ODdlLWJjOTQtNGE1Mjc2ZDI2ZjZjIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImYyYjVlZmIxLTkyMmEtNGFiNC04NGVmLTJlMGU4NDlmZDEyYiIsImlhdCI6MTYwNDU1ODQyNiwiZXhwIjoxNjA0NTU4NzI2fQ.SWwAyD4uOEMNxkwvJBH9jFGlVwgKzKM6aDWeR_JUXdc' --compressed

Example Response

{
"skip": 0,
"limit": 10,
"total": 2,
"resources": [
    {
        "id": "0ea5d52e-387c-44fa-b079-21c8b768f77b",
        "uri": "kylo:kylo:cckm:synchronize:0ea5d52e-387c-44fa-b079-21c8b768f77b",
        "account": "kylo:kylo:admin:accounts:kylo",
        "application": "ncryptify:gemalto:admin:apps:kylo",
        "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
        "createdAt": "2020-11-05T06:39:45.726289Z",
        "updatedAt": "2020-11-05T06:39:57.973309Z",
        "completed_at": "2020-11-05T06:39:57.973157Z",
        "overall_status": "aborted",
        "detailed_status": {
            "123456789012/us-east-1": "in_progress"
        },
        "cloud": "aws",
        "kms": [
            "kms"
        ],
        "abort": true
    },
    {
        "id": "afef70ff-311e-46c1-8ead-e1999e8c6d46",
        "uri": "kylo:kylo:cckm:synchronize:afef70ff-311e-46c1-8ead-e1999e8c6d46",
        "account": "kylo:kylo:admin:accounts:kylo",
        "application": "ncryptify:gemalto:admin:apps:kylo",
        "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
        "createdAt": "2020-11-05T06:38:25.308834Z",
        "updatedAt": "2020-11-05T06:38:29.248338Z",
        "completed_at": "2020-11-05T06:38:29.248173Z",
        "overall_status": "completed",
        "detailed_status": {
            "123456789012/ap-south-1": "region synchronized successfully"
        },
        "cloud": "aws",
        "regions": [
            "ap-south-1"
        ],
        "kms": [
            "kms"
        ],
        "abort": false
    }
]
}

The sample output shows the status of the synchronization processes.

To know more about response parameters, refer to Response Parameters of Key Life Cycle Management APIs.

Response Codes

Response CodeDescription
2xxSuccess
4xxClient errors
5xxServer errors

Refer to HTTP status codes for details.